/******************************************************************************
*
* project name:   TI-TimeWaste
* file name:      numbers.c
* initial date:   02/01/2001
* author:         thomas.nussbaumer@gmx.net
* description:    A Five-in-a-Row Solitaire Game
*
* $Id: numbers.c,v 1.2 2004/07/14 19:56:20 DEBROUX Lionel Exp $
*
******************************************************************************/

unsigned char numbers_data[90] = {
0x88,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x88,
0xc8,0x88,0x08,0xc8,0xc8,0xc8,0xc8,0xc8,0x00,
0x88,0x20,0x20,0xe0,0xc8,0xc8,0x98,0x98,0x00,
0x88,0x20,0x20,0xe0,0xc8,0xe0,0x20,0x20,0x88,
0x88,0x88,0x88,0x48,0x48,0x00,0x00,0xc8,0xc8,
0x00,0x38,0x00,0x20,0xe0,0x20,0x20,0x20,0x88,
0x88,0x20,0x38,0x08,0x20,0x20,0x20,0x20,0x88,
0x00,0xe0,0xe0,0xc8,0xc8,0xc8,0x98,0x98,0x98,
0x88,0x20,0x20,0x20,0x88,0x20,0x20,0x20,0x88,
0x88,0x20,0x20,0x20,0x20,0x80,0xe0,0x20,0x88};


/*===========================================================================*/
/* outputs a counter to screen                                               */
/*===========================================================================*/
void DrawCounter(short x,short y,short length,unsigned long value) {
    short i;

    x+=(length-1)*6;
    for (i=0;i<length;i++,x-=6) {
        register short num = value % 10L;
        Sprite8_BLIT(x,y,9,numbers_data+(num<<3)+num,0x07,LCD_MEM);
        value/=10L;
    }
}

//#############################################################################
// Revision History
//#############################################################################
//
// $Log: numbers.c,v $
// Revision 1.2  2004/07/14 19:56:20  DEBROUX Lionel
// generic commit
//
// Revision 1.1  2002/11/18 10:19:55  nussbaumer
// initial checking
//
